org.icefaces.ace.component.menu

## Enum MenuBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<MenuBase.PropertyKeys>
  - - org.icefaces.ace.component.menu.MenuBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MenuBase.PropertyKeys>
  Enclosing class:
    MenuBase

      protected static enum MenuBase.PropertyKeys
      extends java.lang.Enum<MenuBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `at`
    `backLabel`
    `effect`
    `effectDuration`
    `forceMenuUpdate`
    `forceUpdateCounter`
    `maxHeight`
    `model`
    `my`
    `position`
    `style`
    `styleClass`
    `submenuLabels`
    `tiered`
    `trigger`
    `triggerEvent`
    `type`
    `widgetVar`
    `zindex`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static MenuBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MenuBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### at

          public static final MenuBase.PropertyKeys at

    - #### backLabel

          public static final MenuBase.PropertyKeys backLabel

    - #### effect

          public static final MenuBase.PropertyKeys effect

    - #### effectDuration

          public static final MenuBase.PropertyKeys effectDuration

    - #### forceMenuUpdate

          public static final MenuBase.PropertyKeys forceMenuUpdate

    - #### maxHeight

          public static final MenuBase.PropertyKeys maxHeight

    - #### model

          public static final MenuBase.PropertyKeys model

    - #### my

          public static final MenuBase.PropertyKeys my

    - #### position

          public static final MenuBase.PropertyKeys position

    - #### style

          public static final MenuBase.PropertyKeys style

    - #### styleClass

          public static final MenuBase.PropertyKeys styleClass

    - #### tiered

          public static final MenuBase.PropertyKeys tiered

    - #### trigger

          public static final MenuBase.PropertyKeys trigger

    - #### triggerEvent

          public static final MenuBase.PropertyKeys triggerEvent

    - #### type

          public static final MenuBase.PropertyKeys type

    - #### widgetVar

          public static final MenuBase.PropertyKeys widgetVar

    - #### zindex

          public static final MenuBase.PropertyKeys zindex

    - #### forceUpdateCounter

          public static final MenuBase.PropertyKeys forceUpdateCounter

    - #### submenuLabels

          public static final MenuBase.PropertyKeys submenuLabels

  - ### Method Detail

    - #### values

          public static MenuBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MenuBase.PropertyKeys c : MenuBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MenuBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<MenuBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.